org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class OfStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.OfStageVerification

    public class OfStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `OfStageVerification.PublisherVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `emptyIterableStageShouldEmitNoElements()`
`void` `iterableStageShouldEmitManyElements()`
`void` `ofStageShouldBeReusable()`
`void` `ofStageShouldFailIfNullProduced()`
`void` `ofStageShouldHandleExceptionsInIterableIterateMethod()`
`void` `ofStageShouldHandleExceptionsInIteratorHasNextMethod()`
`void` `ofStageShouldHandleExceptionsInIteratorNextMethod()`
`void` `singleIterableStageShouldEmitOneElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### iterableStageShouldEmitManyElements

    public void iterableStageShouldEmitManyElements()

#### emptyIterableStageShouldEmitNoElements

    public void emptyIterableStageShouldEmitNoElements()

#### singleIterableStageShouldEmitOneElement

    public void singleIterableStageShouldEmitOneElement()

#### ofStageShouldHandleExceptionsInIterableIterateMethod

    public void ofStageShouldHandleExceptionsInIterableIterateMethod()

#### ofStageShouldHandleExceptionsInIteratorHasNextMethod

    public void ofStageShouldHandleExceptionsInIteratorHasNextMethod()

#### ofStageShouldHandleExceptionsInIteratorNextMethod

    public void ofStageShouldHandleExceptionsInIteratorNextMethod()

#### ofStageShouldFailIfNullProduced

    public void ofStageShouldFailIfNullProduced()

#### ofStageShouldBeReusable

    public void ofStageShouldBeReusable()